> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/partner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/partner/partner-api/api-reference/waba-account-management.md).

# WABA Account Management

Endpoints for managing WhatsApp Business Accounts (WABA)

## Retrieve waba account

> Use this endpoint to get info of a waba account.

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.1.0"},"tags":[{"name":"WABA Account Management","description":"Endpoints for managing WhatsApp Business Accounts (WABA)"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"PartnerWabaAccountOut":{"type":"object","properties":{"status":{"type":"string","enum":["created","consents_pending","unverified","pending","approved","imported","sandbox","verification_failed","account_violation","account_restriction","account_banned","account_offboarded","account_reconnected","modified","error","bsp_removed"],"description":"Current status of the waba account. Possible values are:\n- **created**: Initial status of a new waba account.\n- **consents_pending**: Waiting for client to sign the agreements they received by email.\n- **unverified**: Waiting for Meta to approve the waba account.\n- **pending**: [deprecated]\n- **approved**: Waba account is approved by Meta.\n- **imported**: [deprecated]\n- **sandbox**: [deprecated]\n- **verification_failed**: [deprecated]\n- **account_violation**: Waba account violated Meta rules.\n- **account_restriction**: Waba account is restricted by Meta because of violating rules.\n- **account_banned**: Waba account is disabled/banned by Meta.\n- **modified**: [deprecated] When waba account name is updated.\n- **error**: [deprecated]\n- **bsp_removed**: 360dialog does not have access to waba account on Meta."},"id":{"type":"string","description":"Internal 360dialog ID of the waba account."},"name":{"type":"string","description":"Waba account name"},"namespace":{"type":"string","description":"Whatsapp account namespace on Meta"},"partner_id":{"type":"string","description":"Partner ID"},"client_id":{"type":"string","description":"Client ID"},"external_id":{"type":"string","description":"Meta's Whatsapp Business Account (WABA) ID"},"timezone_id":{"type":"string","description":"Meta's Timezone ID"},"fb_business_id":{"type":"string","description":"Meta's Business ID of the WABA owner"},"settings":{"description":"WABA settings","anyOf":[{"$ref":"#/components/schemas/WabaAccountPublicSettings"},{"type":"object","nullable":true}]}},"additionalProperties":false},"WabaAccountPublicSettings":{"type":"object","properties":{"marketing_messages_lite_api_status":{"type":"string","description":"MM Lite eligibility status of a WABA","nullable":true}},"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/waba_accounts/{waba_account_id}":{"get":{"parameters":[{"in":"path","name":"partner_id","description":"The ID of the partner.","schema":{"type":"string"},"required":true},{"in":"path","name":"waba_account_id","description":"Internal 360dialog ID of the waba account. This ID always have postfix WA.","schema":{"type":"string"},"required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerWabaAccountOut"}}},"description":"Successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Wrong payload"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"}},"tags":["WABA Account Management"],"summary":"Retrieve waba account","description":"Use this endpoint to get info of a waba account.","operationId":"get_waba_account_management_docs_api_get_waba_account_details"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.360dialog.com/partner/partner-api/api-reference/waba-account-management.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
